Summary:	Userland scripts to control "laptop mode"
Name:		laptop-mode-tools
Version:	1.71
Release:	3
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.samwel.tk/laptop_mode/laptop_mode
Source0:	http://www.samwel.tk/laptop_mode/tools/downloads/%{name}-%{version}.tar.gz
Patch0:		cpufreq-pstate.patch
Patch1:		no-exec-redirection.patch
Patch2:		brcmsmac-has-no-power-management-support.patch
Requires:	hdparm
Requires:	sdparm
Requires(post,preun):	rpm-helper
Conflicts:	suspend-scripts < 1.9.2
BuildArch:	noarch

%description
Userland scripts to control "laptop mode". Laptop mode is a Linux
kernel feature that allows your laptop to save considerable power, by
allowing the hard drive to spin down for longer periods of time. This
package contains the userland scripts that are needed to enable laptop
mode.

%files
%doc README.md
%{_sbindir}/*
%{_prefix}/lib/pm-utils/sleep.d/01laptop-mode
%dir %{_sysconfdir}/laptop-mode
%{_sysconfdir}/laptop-mode/*-start
%{_sysconfdir}/laptop-mode/*-stop
%dir %{_sysconfdir}/laptop-mode/*.d
%config(noreplace) %{_sysconfdir}/laptop-mode/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/laptop-mode/*.conf
%config(noreplace) %{_sysconfdir}/acpi/events/*
%attr(755,root,root) %{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/power/event.d/laptop-mode
%{_sysconfdir}/power/scripts.d/laptop-mode
%{_sysconfdir}/apm
%{_sysconfdir}/pm
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/module-helpers
%dir %{_datadir}/%{name}/modules
%{_datadir}/%{name}/modules/*
%{_datadir}/%{name}/module-helpers/*
%{_mandir}/man8/*
%{_tmpfilesdir}/laptop-mode.conf
%{_udevrulesdir}/99-laptop-mode.rules
%{_unitdir}/laptop-mode.service
%{_unitdir}/laptop-mode.timer
%{_unitdir}/lmt-poll.service
/lib/udev/lmt-udev

%post
%tmpfiles_create laptop-mode.conf
%systemd_post laptop-mode
%systemd_post lmt-poll

%preun
%systemd_preun laptop-mode
%systemd_preun lmt-poll

#----------------------------------------------------------------------------

%package gui
Summary:	GUI for laptop mode tools
Requires:	%{name} = %{EVRD}
Requires:	python-qt4
Requires:	xdg-utils

%description gui
GUI for laptop mode tools.

%files gui
%{_bindir}/lmt-config-gui
%{_datadir}/%{name}/lmt.py
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-kde.desktop
%{_datadir}/polkit-1/actions/org.linux.lmt.gui.policy

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's|/usr/bin/env python2|/usr/bin/python|' gui/LMT.py

%build

%install
#not created during install
mkdir -p %{buildroot}%{_sysconfdir}/pm/sleep.d

DESTDIR=%{buildroot} \
INIT_D=%{buildroot}%{_initrddir} \
MAN_D=%{_mandir} \
INSTALL="install" \
  ./install.sh

# Prefer systemd files
rm -rf %{buildroot}%{_initrddir}

install -p -D -m 644 gui/LMT.py %{buildroot}%{_datadir}/%{name}/lmt.py
install -p -D -m 755 gui/lmt-config-gui %{buildroot}%{_bindir}/lmt-config-gui

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Laptop Mode Tools
Comment=Laptop Mode Tools graphical user interface
Comment[ru]=Графический интерфейс Laptop Mode Tools
Exec=xdg-su -c "%{_bindir}/lmt-config-gui"
Icon=computer-laptop
Terminal=false
Type=Application
Categories=System;Utility;
NotShowIn=KDE;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-kde.desktop << EOF
[Desktop Entry]
Name=Laptop Mode Tools
Comment=Laptop Mode Tools graphical user interface
Comment[ru]=Графический интерфейс Laptop Mode Tools
Exec=%{_bindir}/lmt-config-gui
Icon=computer-laptop
Terminal=false
Type=Application
Categories=System;Utility;
OnlyShowIn=KDE;
X-KDE-SubstituteUID=true
X-KDE-Username=root
EOF


%changelog

* Mon May 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.71-3
- (7355388) Add menu entries for GUI


